Subject: bug#25670: Feature request: ignore --help in --script mode

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 10 Feb 2017 15:23:57 -0500

On 2017-02-10 12:36, Glenn Morris wrote:
> Clément Pit--Claudel wrote:
> 
>> $ emacs -Q --batch --eval '(print argv)' -- --help
>> ("--" "--help")
> 
> If you can train your users to insert -- before --help, you could get
> them to use any other flag for help. And if you are inserting the -- for
> them, you are already using a wrapper.

I'm using this as my header:

#!/bin/sh
":"; exec emacs -Q --script "$0" -- "$@" # -*- mode: emacs-lisp; lexical-binding: t; -*-

I don't understand the wrapper point: I want to do the argument parsing in ELisp, not in bash.  Did I misunderstand your suggestion?

Clément.